cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
jharrop
Level 3

Migrating a Limited Edition 2013 project?

I had a limited edition setup project which executed from my solution in Visual Studio 2013.

I've upgraded to Visual Studio 2013, and installed Installshield Express 2015.

I can create an Express 2015 setup project from within my Visual Studio 2013 project.

But what I want it to use the existing installshield 2013 limited edition install project, migrated as necessary.

Visual Studio 2015 says the project is incompatible.

What to do?
Labels (1)
0 Kudos
4 Replies
jharrop
Level 3

I did migrate the .lsl file to a .lse file, using the InstallShield standalone UI, and that worked (according to InstallShield messages)

But VS 2015 still says the project is incompatible.
0 Kudos
jharrop
Level 3

I got a Installshield project based on my existing project recognised by VS 2015, by creating a new one, then copying my migrated .ise file into it.

Installshield gives a cryptic error (see further below) when running it though.

At least I have my .ise running in the standalone Installshield product.

To get this working, I had to change usages of "Content Files" and "Primary Output" to explicit references to relevant files.

Then I had to replace usages of with a hardcoded path (since there's no way to define what that means to the standalone Installshield product?).

What a pain. But at least I can now create an installer!

Building the Installshield project in VS still fails with the cryptic and decidedly unhelpful Installshield error:

ISEXP : error : -6213: Internal build error
Express\SingleImage - 1 error(s), 0 warning(s)
0 Kudos
jsniper
Level 2

jharrop wrote:
I had a limited edition setup project which executed from my solution in Visual Studio 2013.

I've upgraded to Visual Studio 2013, and installed Installshield Express 2015.

I can create an Express 2015 setup project from within my Visual Studio 2013 project.

But what I want it to use the existing installshield 2013 limited edition install project, migrated as necessary.

Visual Studio 2015 says the project is incompatible.

What to do?


The only way I was able to get around this was by removing the old Setup project and creating a new one from scratch. Take screenshots of all of your settings if you are able to or use a previous version of InstallShield that is compatible so you can get the screenshots. I happen to have 2 PCs and my other PC had the older version on it so I was able to take screenshots and then create a new InstallShield project from scratch and it worked.
0 Kudos